Rapid7 Vulnerability & Exploit Database

USN-966-1: Linux kernel vulnerabilities

Back to Search

USN-966-1: Linux kernel vulnerabilities

Severity
7
CVSS
(AV:L/AC:L/Au:N/C:C/I:C/A:C)
Published
09/08/2010
Created
07/25/2018
Added
05/06/2013
Modified
07/09/2020

Description

Buffer overflow in the ecryptfs_uid_hash macro in fs/ecryptfs/messaging.c in the eCryptfs subsystem in the Linux kernel before 2.6.35 might allow local users to gain privileges or cause a denial of service (system crash) via unspecified vectors.

Solution(s)

  • ubuntu-upgrade-linux-image-2-6-24-28-386
  • ubuntu-upgrade-linux-image-2-6-24-28-generic
  • ubuntu-upgrade-linux-image-2-6-24-28-hppa32
  • ubuntu-upgrade-linux-image-2-6-24-28-hppa64
  • ubuntu-upgrade-linux-image-2-6-24-28-itanium
  • ubuntu-upgrade-linux-image-2-6-24-28-lpia
  • ubuntu-upgrade-linux-image-2-6-24-28-lpiacompat
  • ubuntu-upgrade-linux-image-2-6-24-28-mckinley
  • ubuntu-upgrade-linux-image-2-6-24-28-openvz
  • ubuntu-upgrade-linux-image-2-6-24-28-powerpc
  • ubuntu-upgrade-linux-image-2-6-24-28-powerpc-smp
  • ubuntu-upgrade-linux-image-2-6-24-28-powerpc64-smp
  • ubuntu-upgrade-linux-image-2-6-24-28-rt
  • ubuntu-upgrade-linux-image-2-6-24-28-server
  • ubuntu-upgrade-linux-image-2-6-24-28-sparc64
  • ubuntu-upgrade-linux-image-2-6-24-28-sparc64-smp
  • ubuntu-upgrade-linux-image-2-6-24-28-virtual
  • ubuntu-upgrade-linux-image-2-6-24-28-xen
  • ubuntu-upgrade-linux-image-2-6-28-19-generic
  • ubuntu-upgrade-linux-image-2-6-28-19-imx51
  • ubuntu-upgrade-linux-image-2-6-28-19-iop32x
  • ubuntu-upgrade-linux-image-2-6-28-19-ixp4xx
  • ubuntu-upgrade-linux-image-2-6-28-19-lpia
  • ubuntu-upgrade-linux-image-2-6-28-19-server
  • ubuntu-upgrade-linux-image-2-6-28-19-versatile
  • ubuntu-upgrade-linux-image-2-6-28-19-virtual
  • ubuntu-upgrade-linux-image-2-6-31-214-dove
  • ubuntu-upgrade-linux-image-2-6-31-214-dove-z0
  • ubuntu-upgrade-linux-image-2-6-31-22-386
  • ubuntu-upgrade-linux-image-2-6-31-22-generic
  • ubuntu-upgrade-linux-image-2-6-31-22-generic-pae
  • ubuntu-upgrade-linux-image-2-6-31-22-ia64
  • ubuntu-upgrade-linux-image-2-6-31-22-lpia
  • ubuntu-upgrade-linux-image-2-6-31-22-powerpc
  • ubuntu-upgrade-linux-image-2-6-31-22-powerpc-smp
  • ubuntu-upgrade-linux-image-2-6-31-22-powerpc64-smp
  • ubuntu-upgrade-linux-image-2-6-31-22-server
  • ubuntu-upgrade-linux-image-2-6-31-22-sparc64
  • ubuntu-upgrade-linux-image-2-6-31-22-sparc64-smp
  • ubuntu-upgrade-linux-image-2-6-31-22-virtual
  • ubuntu-upgrade-linux-image-2-6-31-307-ec2
  • ubuntu-upgrade-linux-image-2-6-32-207-dove
  • ubuntu-upgrade-linux-image-2-6-32-24-386
  • ubuntu-upgrade-linux-image-2-6-32-24-generic
  • ubuntu-upgrade-linux-image-2-6-32-24-generic-pae
  • ubuntu-upgrade-linux-image-2-6-32-24-ia64
  • ubuntu-upgrade-linux-image-2-6-32-24-lpia
  • ubuntu-upgrade-linux-image-2-6-32-24-powerpc
  • ubuntu-upgrade-linux-image-2-6-32-24-powerpc-smp
  • ubuntu-upgrade-linux-image-2-6-32-24-powerpc64-smp
  • ubuntu-upgrade-linux-image-2-6-32-24-preempt
  • ubuntu-upgrade-linux-image-2-6-32-24-server
  • ubuntu-upgrade-linux-image-2-6-32-24-sparc64
  • ubuntu-upgrade-linux-image-2-6-32-24-sparc64-smp
  • ubuntu-upgrade-linux-image-2-6-32-24-versatile
  • ubuntu-upgrade-linux-image-2-6-32-24-virtual
  • ubuntu-upgrade-linux-image-2-6-32-308-ec2
  • ubuntu-upgrade-linux-image-2-6-33-502-omap

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;